package com.huimv.env.manage.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.env.manage.entity.EnvPushMessge;
import com.huimv.env.manage.mapper.EnvPushMessgeMapper;
import com.huimv.env.manage.service.IEnvPushMessgeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.env.manage.utils.Result;
import com.huimv.env.manage.utils.ResultCode;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2022-08-18
 */
@Service
public class EnvPushMessgeServiceImpl extends ServiceImpl<EnvPushMessgeMapper, EnvPushMessge> implements IEnvPushMessgeService {

    @Override
    public Result listMessge(Map<String, String> paramMap) {
        String farmCode = paramMap.get("farmCode");
        String pageSize = paramMap.get("pageSize");
        String pageNum = paramMap.get("pageNum");
        QueryWrapper<EnvPushMessge> wrapper = new QueryWrapper<>();

        wrapper.eq("farm_code",farmCode);
        wrapper.eq("delete",1);
        Page<EnvPushMessge> page = this.page(new Page<>(Long.parseLong(pageSize), Long.parseLong(pageNum)),wrapper);
        return new Result(ResultCode.SUCCESS,page);
    }
}
